package intrinsic.flash.events;

public class EventDispatcher extends Object implements intrinsic.flash.events.IEventDispatcher {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public EventDispatcher() {
}

public EventDispatcher(intrinsic.flash.events.IEventDispatcher arg0) {
}


/** Static Methods */

/** Methods */
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native String toString();
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native boolean willTrigger(String arg0);
public native boolean hasEventListener(String arg0);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);

}
